
From: Mikael Pettersson <mikpe@csd.uu.se>

The perfctr syscall numbers changed in the i386 kernel recently, but the
x86-64 kernel's ia32 emulation was not updated at the same time.  This
patch fixes that.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/ia32/ia32entry.S |    2 +-
 include/asm-x86_64/ia32_unistd.h     |    0 
 2 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/x86_64/ia32/ia32entry.S~perfctr-x86-64-ia32-emulation-fix arch/x86_64/ia32/ia32entry.S
--- 25/arch/x86_64/ia32/ia32entry.S~perfctr-x86-64-ia32-emulation-fix	2005-01-09 23:23:16.798158896 -0800
+++ 25-akpm/arch/x86_64/ia32/ia32entry.S	2005-01-09 23:24:07.251488824 -0800
@@ -593,7 +593,7 @@ ia32_sys_call_table:
 	.quad sys_keyctl
 	.quad sys_perfctr_info
 	.quad sys_vperfctr_open
-	.quad sys_vperfctr_control
+	.quad sys_vperfctr_control	/* 290 */
 	.quad sys_vperfctr_unlink
 	.quad sys_vperfctr_iresume
 	.quad sys_vperfctr_read
diff -puN include/asm-x86_64/ia32_unistd.h~perfctr-x86-64-ia32-emulation-fix include/asm-x86_64/ia32_unistd.h
_
